import os
from distutils.core import setup

# Utility function to read the README file.
# Used for the long_description.  It's nice, because now 1) we have a top level
# README file and 2) it's easier to type in the README file than to put a raw
# string in below ...
def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

setup(
    name = "commotion-mesh-applet",
    version = "0.1",
    author = "Hans-Christoph Steiner",
    author_email = "hans@eds.org",
    description = "GNOME panel applet for using OLSR mesh networks.",
    license = "BSD",
    keywords = "commotion olsr mesh applet wifi network",
    url = "https://code.commotionwireless.net/projects/commotion-linux/",
    long_description=read('README.md'),
    classifiers=[
        "Development Status :: 4 - Beta",
        "Environment :: X11 Applications :: Gnome",
        "Environment :: X11 Applications :: GTK",
        "Environment :: X11 Applications :: KDE",
        "Intended Audience :: End Users/Desktop",
        "License :: OSI Approved :: BSD License",
        "Programming Language :: Python",
        "Topic :: System :: Networking",
        "Topic :: Utilities",
        ],
    #install_requires= see debian/control for dependencies
    data_files = [
        ("/etc/xdg/autostart", [
                "commotion-mesh-applet.desktop"]),
        ("lib/bonobo/servers", [
                "commotion-mesh-applet.server"]),
        ("share/dbus-1/services", [
                "net.commotionwireless.panel.applet.commotion-mesh-applet.service"]),
        ("lib/gnome-applets", [
                "commotion-mesh-applet",
                "commotion-mesh-applet-factory2.py"]),
        ("lib/mate-applets", [
                "commotion-mesh-applet-factoryMate.py"]),
        ("lib/matecomponent/servers", [
                "commotion-mesh-applet-mate.server"]),
        ("share/pyshared", [
                "commotion_applet_support.py"]),
        ("share/xfce4/panel-plugins", [
                "xfce4/commotion-mesh-applet.desktop"]),
        ("share/icons/hicolor/scalable/apps", [
                "commotion-mesh-connected.svg",
                "commotion-mesh-disconnected.svg",
                "commotion.svg",]),
        ("share/icons/hicolor/32x32/actions", [
                "default_route.png",
                "other_route.png",]),
        ("share/doc/commotion-mesh-applet", [
                "LICENSE.txt",
                "README.md",
                ]),
        ("share/doc/commotion-mesh-applet/sketches", [
                "commotion-mesh-applet-factory3.py",
                "net.commotionwireless.applets.CommotionMeshApplet.panel-applet",
                ]),
        ],
)
